Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 187736 - gaim ebuilds should be hard masked
Summary: gaim ebuilds should be hard masked
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords: PMASKED
Depends on: 94228 112221 120108 125885 128569 160161 170815 175787 176103 179289
Blocks:
  Show dependency tree
 
Reported: 2007-08-04 15:49 UTC by DEMAINE Benoît-Pierre, aka DoubleHP
Modified: 2008-02-16 19:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DEMAINE Benoît-Pierre, aka DoubleHP 2007-08-04 15:49:51 UTC
Like many people, I unmasked gaim 2.0. Fact is, gaim project is now abandonned, see http://www.gaim.org/ and http://gaim.sourceforge.net/ ... that I bookmarked long time ago ...

I am pleased to see the new project net-im/pidgin already have an ebuild; still, since the website is now closed, I think that even gaim-1.5 should be removed from unstable Gentoo. At least, all gaim-2.* ebuild should get masked, and marked as deleted soon. Of course, 1.5 should stay in stable for some time, maybe deleted within 6 or 12 months ? an unmaintained software is a security issue: updates and bugfix for gaim* will never come out, thus, I call this software "deprecated", and it should be removed from portage.

By the mean time, all reporters of open gaim bugs
http://bugs.gentoo.org/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=gaim&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&keywords_type=allwords&keywords=&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&emailassigned_to1=1&emailtype1=substring&email1=&emailassigned_to2=1&emailreporter2=1&emailcc2=1&emailtype2=substring&email2=&bugidtype=include&bug_id=&votes=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=noop&type0-0-0=noop&value0-0-0=
should be notified of this, and be advised to check if there bugs are still present in the new software.

I did not test Pidgin yet, but whatever the migration is easy or harsh, "Gaim" is a deprecated "software", and ebuild should be removed in some time. I think a 90d warning should be better than the traditionnal 30d.
Comment 1 DEMAINE Benoît-Pierre, aka DoubleHP 2007-08-04 16:11:12 UTC
Please, every body update to Pidgin and test if bug still in here.
Comment 2 Olivier Crete (RETIRED) gentoo-dev 2007-08-06 13:24:34 UTC
yes, thats the plan, gaim will be hard masked when I decide that enough plugins have been ported to pidgin.
Comment 3 Olivier Crete (RETIRED) gentoo-dev 2007-12-08 16:50:46 UTC
its now hard masked, will be removed from the tree in 30 days
Comment 4 Kelly Price 2008-02-16 17:30:21 UTC
Objection!  Pidgin is not a 1-to-1 upgrade to Gaim.  There are many features in Gaim that are missing in Pidgin (even with plugins), and there are serious bugs in Pidgin that upstream is slow to fix (if not refuse to).  Some I have filed here, then there, which got shot down heavily.

Keep it hard masked, but don't remove it!
Comment 5 DEMAINE Benoît-Pierre, aka DoubleHP 2008-02-16 18:03:10 UTC
Kelly Price I was not aware of this. But I did not meet any critical bug in Pidgin, or noticed any missing feature. Are you speaking about gaim 1.5 or 2.0 ? It now years I abandonned gaim 1.5 ...

I am Gentoo end user; I am not to decide about removal. But, for interest, could you quote one or two problems you are speaking about ?

In last case, you can keep an archive of the ebuild locally.
Comment 6 Kelly Price 2008-02-16 18:18:04 UTC
(In reply to comment #5)
> Kelly Price I was not aware of this. But I did not meet any critical bug in
> Pidgin, or noticed any missing feature. Are you speaking about gaim 1.5 or 2.0
> ? It now years I abandonned gaim 1.5 ...
> 

Gaim 1.5.  The user interface is completely different than what I was used to.  I filed bug 202001 and 202002 here.  The bug tracking system Pidgin uses isn't as user friendly as Bugzilla, unfortunatley.

> I am Gentoo end user; I am not to decide about removal. But, for interest,
> could you quote one or two problems you are speaking about ?
> 
> In last case, you can keep an archive of the ebuild locally.
> 

Ether that, or take libpurple and make a Gaim clone.
Comment 7 Olivier Crete (RETIRED) gentoo-dev 2008-02-16 19:05:43 UTC
gaim 1.5 is horribly full or known security bugs, you should really upgrade to pidgin or some other supported client.
Comment 8 Kelly Price 2008-02-16 19:14:22 UTC
(In reply to comment #7)
> gaim 1.5 is horribly full or known security bugs, you should really upgrade to
> pidgin or some other supported client.
> 

I've moved to Kopete at this time, but it's not exactly a 100% drop in replacement ether.  Pidgin's more 33% and I can claw it back to 50%, but it's still annoying how it constantly throws "Oh no, we won't let you do that anymore like you did before" in your face.  Kopete's more like 75%, and I'll have to start filing enhancement bugs once I get KDE 4.0 installed and tweaked.
Comment 9 Olivier Crete (RETIRED) gentoo-dev 2008-02-16 19:31:04 UTC
all removed!!